subroutine print_date_and_time()
    implicit none
   ! DH* MARK
   integer*4 today(3), now(3)
   call idate(today)   ! today(1)=day, (2)=month, (3)=year
   call itime(now)     ! now(1)=hour, (2)=minute, (3)=second
   write ( *, fmt = '( 'Date ', i2.2, '/', i2.2, '/', i4.4, '; time ', &
                             & i2.2, ':', i2.2, ':', i2.2 )') today, now
end subroutine print_date_and_time